--- old/usr/src/cmd/expr/Makefile	Thu Aug  8 11:08:29 2019
+++ new/usr/src/cmd/expr/Makefile	Thu Aug  8 11:08:30 2019
@@ -37,7 +37,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-extra
 # "missing type for func"
 SMATCH=off
--- old/usr/src/cmd/file/Makefile	Thu Aug  8 11:08:32 2019
+++ new/usr/src/cmd/file/Makefile	Thu Aug  8 11:08:32 2019
@@ -41,7 +41,7 @@
 CSTD=	$(CSTD_GNU99)
 C99LMODE= -Xc99=%all
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 POFILE= file_all.po
--- old/usr/src/cmd/filesync/Makefile	Thu Aug  8 11:08:34 2019
+++ new/usr/src/cmd/filesync/Makefile	Thu Aug  8 11:08:34 2019
@@ -34,7 +34,7 @@
 LDLIBS += -lgen
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/find/Makefile	Thu Aug  8 11:08:35 2019
+++ new/usr/src/cmd/find/Makefile	Thu Aug  8 11:08:35 2019
@@ -37,7 +37,7 @@
 
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LINTFLAGS += -u
 LDLIBS += -lsec
--- old/usr/src/cmd/flowstat/Makefile	Thu Aug  8 11:08:36 2019
+++ new/usr/src/cmd/flowstat/Makefile	Thu Aug  8 11:08:37 2019
@@ -37,7 +37,7 @@
 LDLIBS += -ldladm -lofmt
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/eversholt/Makefile.esc.com	Thu Aug  8 11:08:37 2019
+++ new/usr/src/cmd/fm/eversholt/Makefile.esc.com	Thu Aug  8 11:08:37 2019
@@ -46,7 +46,7 @@
 
 CPPFLAGS += -I$(EVERCMNSRC) -I.
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
--- old/usr/src/cmd/fm/fmd/Makefile.fmd	Thu Aug  8 11:08:38 2019
+++ new/usr/src/cmd/fm/fmd/Makefile.fmd	Thu Aug  8 11:08:38 2019
@@ -120,7 +120,7 @@
 LINTFLAGS += -mu
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 $(RELEASE_BUILD)CERRWARN += -_gcc=-Wno-unused-but-set-variable
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/fm/fmdump/Makefile.com	Thu Aug  8 11:08:39 2019
+++ new/usr/src/cmd/fm/fmdump/Makefile.com	Thu Aug  8 11:08:39 2019
@@ -39,7 +39,7 @@
 LDFLAGS += -R/usr/lib/fm
 LINTFLAGS += -mnu
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .NO_PARALLEL:
 .PARALLEL: $(OBJS) $(LINTFILES)
--- old/usr/src/cmd/fm/fminject/Makefile.com	Thu Aug  8 11:08:40 2019
+++ new/usr/src/cmd/fm/fminject/Makefile.com	Thu Aug  8 11:08:40 2019
@@ -50,7 +50,7 @@
 CPPFLAGS += -I. -I../common
 CFLAGS += $(CCVERBOSE) $(CTF_FLAGS)
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/fm/ipmitopo/Makefile.com	Thu Aug  8 11:08:42 2019
+++ new/usr/src/cmd/fm/ipmitopo/Makefile.com	Thu Aug  8 11:08:42 2019
@@ -41,7 +41,7 @@
 LDLIBS += -lipmi -lnvpair
 LINTFLAGS += -mnu
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .NO_PARALLEL:
 .PARALLEL: $(OBJS) $(LINTFILES)
--- old/usr/src/cmd/fm/modules/common/disk-monitor/Makefile	Thu Aug  8 11:08:43 2019
+++ new/usr/src/cmd/fm/modules/common/disk-monitor/Makefile	Thu Aug  8 11:08:43 2019
@@ -35,7 +35,7 @@
 CFLAGS += -I. -I$(SRC)/lib/fm/topo/modules/common/disk
 LDLIBS += -lsysevent -lnvpair -lsmbios -lcfgadm -ltopo -luutil -lipmi
 LDFLAGS += -L$(ROOT)/usr/lib/fm -R/usr/lib/fm
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/modules/common/eversholt/Makefile	Thu Aug  8 11:08:44 2019
+++ new/usr/src/cmd/fm/modules/common/eversholt/Makefile	Thu Aug  8 11:08:45 2019
@@ -45,7 +45,7 @@
 
 CPPFLAGS += -DFMAPLUGIN -I$(EVERSRCDIR) -I.
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Thu Aug  8 11:08:46 2019
+++ new/usr/src/cmd/fm/modules/common/fabric-xlate/Makefile	Thu Aug  8 11:08:46 2019
@@ -41,7 +41,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/modules/common/ip-transport/Makefile	Thu Aug  8 11:08:47 2019
+++ new/usr/src/cmd/fm/modules/common/ip-transport/Makefile	Thu Aug  8 11:08:47 2019
@@ -33,7 +33,7 @@
 include ../../Makefile.plugin
 
 LDLIBS += -lsocket -lnsl
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fm/modules/common/sw-diag-response/software-diagnosis/Makefile	Thu Aug  8 11:08:49 2019
+++ new/usr/src/cmd/fm/modules/common/sw-diag-response/software-diagnosis/Makefile	Thu Aug  8 11:08:49 2019
@@ -50,4 +50,4 @@
 LDLIBS += -L$(ROOTLIB)/fm -ltopo -luutil -luuid -lkstat
 LDFLAGS += -R/usr/lib/fm
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/fm/modules/sun4u/cpumem-diagnosis/Makefile	Thu Aug  8 11:08:51 2019
+++ new/usr/src/cmd/fm/modules/sun4u/cpumem-diagnosis/Makefile	Thu Aug  8 11:08:51 2019
@@ -44,5 +44,5 @@
 LDFLAGS += -R/usr/lib/fm
 
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
--- old/usr/src/cmd/fm/modules/sun4v/etm/Makefile	Thu Aug  8 11:08:52 2019
+++ new/usr/src/cmd/fm/modules/sun4v/etm/Makefile	Thu Aug  8 11:08:52 2019
@@ -41,4 +41,4 @@
 
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/fmtmsg/Makefile	Thu Aug  8 11:08:55 2019
+++ new/usr/src/cmd/fmtmsg/Makefile	Thu Aug  8 11:08:55 2019
@@ -30,7 +30,7 @@
 include ../Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/format/Makefile	Thu Aug  8 11:08:57 2019
+++ new/usr/src/cmd/format/Makefile	Thu Aug  8 11:08:57 2019
@@ -46,7 +46,7 @@
 
 include ../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-clobbered
--- old/usr/src/cmd/fs.d/Makefile	Thu Aug  8 11:08:59 2019
+++ new/usr/src/cmd/fs.d/Makefile	Thu Aug  8 11:08:59 2019
@@ -85,7 +85,7 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/fs.d/autofs/Makefile	Thu Aug  8 11:09:01 2019
+++ new/usr/src/cmd/fs.d/autofs/Makefile	Thu Aug  8 11:09:01 2019
@@ -95,7 +95,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/fs.d/nfs/lockd/Makefile	Thu Aug  8 11:09:03 2019
+++ new/usr/src/cmd/fs.d/nfs/lockd/Makefile	Thu Aug  8 11:09:03 2019
@@ -44,7 +44,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/nfs/mount/Makefile	Thu Aug  8 11:09:05 2019
+++ new/usr/src/cmd/fs.d/nfs/mount/Makefile	Thu Aug  8 11:09:05 2019
@@ -46,7 +46,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 CERRWARN += -_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/fs.d/nfs/mountd/Makefile	Thu Aug  8 11:09:07 2019
+++ new/usr/src/cmd/fs.d/nfs/mountd/Makefile	Thu Aug  8 11:09:08 2019
@@ -42,7 +42,7 @@
 LDLIBS	 +=	-lrpcsvc -lnsl -lbsm -lsocket -ltsnet -ltsol -lnvpair -lscf -lumem
 CPPFLAGS +=	-D_REENTRANT -I../lib
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/cmd/fs.d/nfs/nfslog/Makefile	Thu Aug  8 11:09:10 2019
+++ new/usr/src/cmd/fs.d/nfs/nfslog/Makefile	Thu Aug  8 11:09:10 2019
@@ -40,7 +40,7 @@
 LDLIBS +=	-lsocket -lnsl
 CFLAGS += 	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/fs.d/nfs/nfsmapid/Makefile	Thu Aug  8 11:09:13 2019
+++ new/usr/src/cmd/fs.d/nfs/nfsmapid/Makefile	Thu Aug  8 11:09:13 2019
@@ -44,7 +44,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/nfs/showmount/Makefile	Thu Aug  8 11:09:15 2019
+++ new/usr/src/cmd/fs.d/nfs/showmount/Makefile	Thu Aug  8 11:09:16 2019
@@ -46,7 +46,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/nfs/statd/Makefile	Thu Aug  8 11:09:18 2019
+++ new/usr/src/cmd/fs.d/nfs/statd/Makefile	Thu Aug  8 11:09:18 2019
@@ -42,7 +42,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/pcfs/fsck/Makefile	Thu Aug  8 11:09:20 2019
+++ new/usr/src/cmd/fs.d/pcfs/fsck/Makefile	Thu Aug  8 11:09:20 2019
@@ -52,7 +52,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 #
 # We need to tell lint not to complain about the routines
--- old/usr/src/cmd/fs.d/pcfs/mount/Makefile	Thu Aug  8 11:09:23 2019
+++ new/usr/src/cmd/fs.d/pcfs/mount/Makefile	Thu Aug  8 11:09:23 2019
@@ -31,4 +31,4 @@
 include		../../Makefile.mount
 include		../../Makefile.mount.targ
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
--- old/usr/src/cmd/fs.d/tmpfs/Makefile	Thu Aug  8 11:09:24 2019
+++ new/usr/src/cmd/fs.d/tmpfs/Makefile	Thu Aug  8 11:09:24 2019
@@ -31,4 +31,4 @@
 include		../Makefile.mount
 include		../Makefile.mount.targ
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
--- old/usr/src/cmd/fs.d/udfs/fsck/Makefile	Thu Aug  8 11:09:26 2019
+++ new/usr/src/cmd/fs.d/udfs/fsck/Makefile	Thu Aug  8 11:09:26 2019
@@ -38,7 +38,7 @@
 UDFSOBJS=	udfslib.o
 #UDFSSRCS=	$(UDFSOBJS:%.o=%.c)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/cmd/fs.d/udfs/fsdb/Makefile	Thu Aug  8 11:09:27 2019
+++ new/usr/src/cmd/fs.d/udfs/fsdb/Makefile	Thu Aug  8 11:09:27 2019
@@ -48,7 +48,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/fs.d/udfs/fstyp/Makefile	Thu Aug  8 11:09:29 2019
+++ new/usr/src/cmd/fs.d/udfs/fstyp/Makefile	Thu Aug  8 11:09:29 2019
@@ -37,7 +37,7 @@
 DYNLIB=		$(LIBPROG)
 
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 LDLIBS += -lnvpair -ladm -lc
 
--- old/usr/src/cmd/fs.d/udfs/labelit/Makefile	Thu Aug  8 11:09:31 2019
+++ new/usr/src/cmd/fs.d/udfs/labelit/Makefile	Thu Aug  8 11:09:31 2019
@@ -40,7 +40,7 @@
 LINTFLAGS64 += -xerroff=E_STATIC_UNUSED
 
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 labelit : labelit.o  ud_lib.o
 	$(LINK.c) -o $@ labelit.o ud_lib.o $(LDLIBS)
--- old/usr/src/cmd/fs.d/udfs/mkfs/Makefile	Thu Aug  8 11:09:32 2019
+++ new/usr/src/cmd/fs.d/udfs/mkfs/Makefile	Thu Aug  8 11:09:32 2019
@@ -47,7 +47,7 @@
 UDFSOBJS=
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/ff/Makefile	Thu Aug  8 11:09:34 2019
+++ new/usr/src/cmd/fs.d/ufs/ff/Makefile	Thu Aug  8 11:09:34 2019
@@ -40,7 +40,7 @@
 
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/fsck/Makefile	Thu Aug  8 11:09:36 2019
+++ new/usr/src/cmd/fs.d/ufs/fsck/Makefile	Thu Aug  8 11:09:36 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/fsdb/Makefile	Thu Aug  8 11:09:37 2019
+++ new/usr/src/cmd/fs.d/ufs/fsdb/Makefile	Thu Aug  8 11:09:38 2019
@@ -36,7 +36,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/fssnap/Makefile	Thu Aug  8 11:09:39 2019
+++ new/usr/src/cmd/fs.d/ufs/fssnap/Makefile	Thu Aug  8 11:09:39 2019
@@ -43,7 +43,7 @@
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/mkfs/Makefile	Thu Aug  8 11:09:41 2019
+++ new/usr/src/cmd/fs.d/ufs/mkfs/Makefile	Thu Aug  8 11:09:41 2019
@@ -41,7 +41,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-empty-body
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # can't hack main() !
 SMATCH =	off
--- old/usr/src/cmd/fs.d/ufs/newfs/Makefile	Thu Aug  8 11:09:42 2019
+++ new/usr/src/cmd/fs.d/ufs/newfs/Makefile	Thu Aug  8 11:09:42 2019
@@ -37,7 +37,7 @@
 LDLIBS += -ladm -lefi
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/repquota/Makefile	Thu Aug  8 11:09:43 2019
+++ new/usr/src/cmd/fs.d/ufs/repquota/Makefile	Thu Aug  8 11:09:44 2019
@@ -37,7 +37,7 @@
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/tunefs/Makefile	Thu Aug  8 11:09:45 2019
+++ new/usr/src/cmd/fs.d/ufs/tunefs/Makefile	Thu Aug  8 11:09:45 2019
@@ -38,7 +38,7 @@
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fs.d/ufs/volcopy/Makefile	Thu Aug  8 11:09:48 2019
+++ new/usr/src/cmd/fs.d/ufs/volcopy/Makefile	Thu Aug  8 11:09:48 2019
@@ -33,7 +33,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/fwflash/Makefile.com	Thu Aug  8 11:09:49 2019
+++ new/usr/src/cmd/fwflash/Makefile.com	Thu Aug  8 11:09:49 2019
@@ -26,7 +26,7 @@
 # common rules for $SRC/cmd/fwflash
 
 CERRWARN +=		-_gcc=-Wno-parentheses
-CERRWARN +=		-_gcc=-Wno-uninitialized
+CERRWARN +=		$(CNOWARN_UNINIT)
 CERRWARN +=		-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/cmd/geniconvtbl/Makefile.com	Thu Aug  8 11:09:50 2019
+++ new/usr/src/cmd/geniconvtbl/Makefile.com	Thu Aug  8 11:09:50 2019
@@ -85,7 +85,7 @@
 		$(POFILES) $(POFILE)
 
 CPPFLAGS	+= -I. -I..
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-switch
 CERRWARN	+= -_gcc=-Wno-unused-variable
--- old/usr/src/cmd/getfacl/Makefile	Thu Aug  8 11:09:51 2019
+++ new/usr/src/cmd/getfacl/Makefile	Thu Aug  8 11:09:51 2019
@@ -29,7 +29,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/grep/Makefile	Thu Aug  8 11:09:51 2019
+++ new/usr/src/cmd/grep/Makefile	Thu Aug  8 11:09:51 2019
@@ -31,7 +31,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 ROOTXPG4LINKS = $(ROOTXPG4BIN)/$(FFILE)	$(ROOTXPG4BIN)/$(EFILE) $(ROOTXPG4BIN)/$(PROG)
 ROOTLINKS = $(ROOTBIN)/$(FFILE) $(ROOTBIN)/$(EFILE)
--- old/usr/src/cmd/gss/gssd/Makefile	Thu Aug  8 11:09:52 2019
+++ new/usr/src/cmd/gss/gssd/Makefile	Thu Aug  8 11:09:52 2019
@@ -74,7 +74,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/hotplugd/Makefile	Thu Aug  8 11:09:54 2019
+++ new/usr/src/cmd/hotplugd/Makefile	Thu Aug  8 11:09:54 2019
@@ -44,7 +44,7 @@
 
 CPPFLAGS += -I$(SRC)/lib/libhotplug/common
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -ldevinfo -lhotplug -lnvpair -lsecdb -lrcm -lbsm
 
 .KEEP_STATE:
--- old/usr/src/cmd/id/Makefile	Thu Aug  8 11:09:56 2019
+++ new/usr/src/cmd/id/Makefile	Thu Aug  8 11:09:56 2019
@@ -30,7 +30,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/idmap/idmap/Makefile	Thu Aug  8 11:09:58 2019
+++ new/usr/src/cmd/idmap/idmap/Makefile	Thu Aug  8 11:09:58 2019
@@ -39,7 +39,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-unused-function
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/cmd/idmap/idmapd/Makefile	Thu Aug  8 11:10:01 2019
+++ new/usr/src/cmd/idmap/idmapd/Makefile	Thu Aug  8 11:10:01 2019
@@ -62,7 +62,7 @@
 
 CERRWARN +=	-_gcc=-Wno-type-limits
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/init/Makefile	Thu Aug  8 11:10:02 2019
+++ new/usr/src/cmd/init/Makefile	Thu Aug  8 11:10:02 2019
@@ -35,7 +35,7 @@
 CSTD = $(CSTD_GNU99)
 LDLIBS += -lpam -lbsm -lcontract -lscf
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LINTFLAGS += -erroff=E_NAME_USED_NOT_DEF2
 CLOBBERFILES= $(STATIC)
 
--- old/usr/src/cmd/intrstat/Makefile.com	Thu Aug  8 11:10:03 2019
+++ new/usr/src/cmd/intrstat/Makefile.com	Thu Aug  8 11:10:03 2019
@@ -38,7 +38,7 @@
 CPPFLAGS += -I$(STATCOMMONDIR)
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -ldtrace
 
 FILEMODE = 0555
--- old/usr/src/cmd/ipf/Makefile.ipf	Thu Aug  8 11:10:04 2019
+++ new/usr/src/cmd/ipf/Makefile.ipf	Thu Aug  8 11:10:04 2019
@@ -35,7 +35,7 @@
 		   -DSOLARIS2=$(RELEASE_MINOR)
 CERRWARN	+= -_gcc=-Wno-unused-variable
 CERRWARN	+= -_gcc=-Wno-type-limits
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-unused-label
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-function
--- old/usr/src/cmd/iscsiadm/Makefile	Thu Aug  8 11:10:06 2019
+++ new/usr/src/cmd/iscsiadm/Makefile	Thu Aug  8 11:10:06 2019
@@ -41,7 +41,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/isns/isnsadm/Makefile	Thu Aug  8 11:10:07 2019
+++ new/usr/src/cmd/isns/isnsadm/Makefile	Thu Aug  8 11:10:07 2019
@@ -39,7 +39,7 @@
 LINTFLAGS += -xerroff=E_BAD_FORMAT_STR2
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/isns/isnsd/Makefile	Thu Aug  8 11:10:07 2019
+++ new/usr/src/cmd/isns/isnsd/Makefile	Thu Aug  8 11:10:07 2019
@@ -61,7 +61,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-ignored-qualifiers
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 
 # not linted
--- old/usr/src/cmd/kbd/Makefile	Thu Aug  8 11:10:07 2019
+++ new/usr/src/cmd/kbd/Makefile	Thu Aug  8 11:10:07 2019
@@ -33,7 +33,7 @@
 
 PROG	= kbd
 CFLAGS	+= $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS	+= -lscf
 
 all: $(PROG)
--- old/usr/src/cmd/keyserv/Makefile	Thu Aug  8 11:10:08 2019
+++ new/usr/src/cmd/keyserv/Makefile	Thu Aug  8 11:10:08 2019
@@ -70,7 +70,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-address
 CERRWARN +=	-_gcc=-Wno-unused-function
--- old/usr/src/cmd/krb5/kadmin/kclient/Makefile	Thu Aug  8 11:10:08 2019
+++ new/usr/src/cmd/krb5/kadmin/kclient/Makefile	Thu Aug  8 11:10:08 2019
@@ -61,7 +61,7 @@
 	-I$(SRC)/uts/common/gssapi/include  \
 	-I$(SRC)/uts/common/gssapi/mechs/krb5/include
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
 
--- old/usr/src/cmd/krb5/kadmin/kdcmgr/Makefile	Thu Aug  8 11:10:10 2019
+++ new/usr/src/cmd/krb5/kadmin/kdcmgr/Makefile	Thu Aug  8 11:10:10 2019
@@ -36,7 +36,7 @@
 POFILE=		$(SSRCS:%.sh=%.po)
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/krb5/slave/Makefile	Thu Aug  8 11:10:11 2019
+++ new/usr/src/cmd/krb5/slave/Makefile	Thu Aug  8 11:10:11 2019
@@ -60,7 +60,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-address
 
--- old/usr/src/cmd/latencytop/Makefile.com	Thu Aug  8 11:10:13 2019
+++ new/usr/src/cmd/latencytop/Makefile.com	Thu Aug  8 11:10:14 2019
@@ -33,7 +33,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/cmd/ldap/Makefile.com	Thu Aug  8 11:10:15 2019
+++ new/usr/src/cmd/ldap/Makefile.com	Thu Aug  8 11:10:15 2019
@@ -88,7 +88,7 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/ldapcachemgr/Makefile	Thu Aug  8 11:10:16 2019
+++ new/usr/src/cmd/ldapcachemgr/Makefile	Thu Aug  8 11:10:16 2019
@@ -54,7 +54,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/ldmad/Makefile	Thu Aug  8 11:10:16 2019
+++ new/usr/src/cmd/ldmad/Makefile	Thu Aug  8 11:10:16 2019
@@ -65,7 +65,7 @@
 INCS +=		-I$(SRC)/uts/sun4v
 CPPFLAGS += 	-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 $(INCS)
 CSTD =	$(CSTD_GNU99)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 LINTFLAGS += -erroff=E_BAD_PTR_CAST_ALIGN
 
--- old/usr/src/cmd/listen/Makefile	Thu Aug  8 11:10:16 2019
+++ new/usr/src/cmd/listen/Makefile	Thu Aug  8 11:10:17 2019
@@ -63,7 +63,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-empty-body
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/loadkeys/Makefile	Thu Aug  8 11:10:17 2019
+++ new/usr/src/cmd/loadkeys/Makefile	Thu Aug  8 11:10:17 2019
@@ -41,7 +41,7 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/lockstat/Makefile.com	Thu Aug  8 11:10:17 2019
+++ new/usr/src/cmd/lockstat/Makefile.com	Thu Aug  8 11:10:17 2019
@@ -33,7 +33,7 @@
 LDLIBS += -lelf -lkstat -ldtrace
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += index_overflow
 
--- old/usr/src/cmd/lofiadm/Makefile	Thu Aug  8 11:10:19 2019
+++ new/usr/src/cmd/lofiadm/Makefile	Thu Aug  8 11:10:19 2019
@@ -39,7 +39,7 @@
 LDLIBS += -ldevinfo -lpkcs11 -lcryptoutil
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/logadm/Makefile	Thu Aug  8 11:10:20 2019
+++ new/usr/src/cmd/logadm/Makefile	Thu Aug  8 11:10:20 2019
@@ -35,7 +35,7 @@
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-clobbered
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 XGETFLAGS += -a -x logadm.xcl
 
 $(ROOTETC)/$(CONFIGFILE):= FILEMODE= 644
--- old/usr/src/cmd/logins/Makefile	Thu Aug  8 11:10:20 2019
+++ new/usr/src/cmd/logins/Makefile	Thu Aug  8 11:10:20 2019
@@ -30,7 +30,7 @@
 TEXT_DOMAIN= SUNW_OST_ADMIN
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 FILEMODE= 0750
 
--- old/usr/src/cmd/lp/Makefile.lp	Thu Aug  8 11:10:20 2019
+++ new/usr/src/cmd/lp/Makefile.lp	Thu Aug  8 11:10:20 2019
@@ -88,7 +88,7 @@
 CERRWARN +=	-_gcc=-Wno-sequence-point
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-value
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/cmd/lp/lib/filters/Makefile	Thu Aug  8 11:10:21 2019
+++ new/usr/src/cmd/lp/lib/filters/Makefile	Thu Aug  8 11:10:21 2019
@@ -50,7 +50,7 @@
 
 CPPFLAGS =	-I../../include $(CPPFLAGS.master)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 
 # not linted
--- old/usr/src/cmd/luxadm/Makefile	Thu Aug  8 11:10:22 2019
+++ new/usr/src/cmd/luxadm/Makefile	Thu Aug  8 11:10:22 2019
@@ -39,7 +39,7 @@
 include ../Makefile.cmd
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-address
 
--- old/usr/src/cmd/mail/Makefile	Thu Aug  8 11:10:23 2019
+++ new/usr/src/cmd/mail/Makefile	Thu Aug  8 11:10:23 2019
@@ -73,7 +73,7 @@
 CPPFLAGS =	-DSVR4 -I. $(CPPFLAGS.master)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-clobbered
 CERRWARN +=	-_gcc=-Wno-extra
 
--- old/usr/src/cmd/mailx/Makefile	Thu Aug  8 11:10:25 2019
+++ new/usr/src/cmd/mailx/Makefile	Thu Aug  8 11:10:26 2019
@@ -66,7 +66,7 @@
 
 CPPFLAGS=	-Ihdr -DUSG -DOPTIM $(CPPFLAGS.master)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-clobbered
 # not linted
--- old/usr/src/cmd/mandoc/Makefile.common	Thu Aug  8 11:10:27 2019
+++ new/usr/src/cmd/mandoc/Makefile.common	Thu Aug  8 11:10:27 2019
@@ -79,7 +79,7 @@
 OBJS +=		compat_ohash.o
 
 # XXX gcc 4.4.4 false positive
-roff.o :=	CERRWARN += -_gcc=-Wno-uninitialized
+roff.o :=	CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/mdb/Makefile.kmdb	Thu Aug  8 11:10:30 2019
+++ new/usr/src/cmd/mdb/Makefile.kmdb	Thu Aug  8 11:10:30 2019
@@ -98,7 +98,7 @@
 	-xerroff=E_INCONS_VAL_TYPE_DECL2 \
 	-xerroff=E_INCONS_VAL_TYPE_USED2
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-clobbered
--- old/usr/src/cmd/mdb/Makefile.libstandctf	Thu Aug  8 11:10:32 2019
+++ new/usr/src/cmd/mdb/Makefile.libstandctf	Thu Aug  8 11:10:32 2019
@@ -62,7 +62,7 @@
 
 LINTFLAGS += -n -errtags=yes
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .NO_PARALLEL:
 .PARALLEL: $(OBJS)
--- old/usr/src/cmd/mdb/Makefile.mdb	Thu Aug  8 11:10:33 2019
+++ new/usr/src/cmd/mdb/Makefile.mdb	Thu Aug  8 11:10:33 2019
@@ -102,7 +102,7 @@
 LDLIBS += -lcurses -lkvm -lproc -lrtld_db -lctf -lumem -ldisasm -lscf
 LDLIBS += -ldemangle-sys
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-parentheses
--- old/usr/src/cmd/mdb/i86pc/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
+++ new/usr/src/cmd/mdb/i86pc/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
@@ -44,6 +44,6 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/mdb/i86xpv/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
+++ new/usr/src/cmd/mdb/i86xpv/modules/unix/amd64/Makefile	Thu Aug  8 11:10:34 2019
@@ -48,6 +48,6 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 CERRWARN += -_gcc=-Wno-unused-function
--- old/usr/src/cmd/mdb/intel/amd64/genunix/Makefile	Thu Aug  8 11:10:35 2019
+++ new/usr/src/cmd/mdb/intel/amd64/genunix/Makefile	Thu Aug  8 11:10:35 2019
@@ -74,7 +74,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-type-limits
 
--- old/usr/src/cmd/mdb/intel/amd64/idm/Makefile	Thu Aug  8 11:10:35 2019
+++ new/usr/src/cmd/mdb/intel/amd64/idm/Makefile	Thu Aug  8 11:10:36 2019
@@ -41,4 +41,4 @@
 CPPFLAGS += -I$(ISCSIBASE)
 CPPFLAGS += -I$(ISERBASE)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
--- old/usr/src/cmd/mdb/intel/amd64/ipp/Makefile	Thu Aug  8 11:10:37 2019
+++ new/usr/src/cmd/mdb/intel/amd64/ipp/Makefile	Thu Aug  8 11:10:38 2019
@@ -34,4 +34,4 @@
 include ../../Makefile.amd64
 include ../../../Makefile.module
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
